> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/invoice.md).

# Invoice

| Name                   | Type                                                                              | Description                                                                                                                                     |
| ---------------------- | --------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| account                | [Account](/developer/api-reference/types/account.md)                              | Invoicing account — the account this invoice is billed to and lives on.                                                                         |
| accountId              | ID                                                                                |                                                                                                                                                 |
| aging                  | String                                                                            |                                                                                                                                                 |
| amount                 | Float                                                                             |                                                                                                                                                 |
| amountDue              | Float                                                                             |                                                                                                                                                 |
| amountPaid             | Float                                                                             |                                                                                                                                                 |
| baseCurrencyId         | ID                                                                                |                                                                                                                                                 |
| baseCurrencyTotal      | Float                                                                             |                                                                                                                                                 |
| couponApplied          | Boolean                                                                           |                                                                                                                                                 |
| createdAt              | ISO8601DateTime                                                                   |                                                                                                                                                 |
| creditItem             | [InvoiceItem](/developer/api-reference/types/invoiceitem.md)                      |                                                                                                                                                 |
| creditNotes            | List ([CreditNote](/developer/api-reference/types/creditnote.md))                 |                                                                                                                                                 |
| credits                | Float                                                                             |                                                                                                                                                 |
| currencyId             | ID                                                                                |                                                                                                                                                 |
| description            | String                                                                            |                                                                                                                                                 |
| dueAt                  | ISO8601Date                                                                       |                                                                                                                                                 |
| effectivePayingAccount | [Account](/developer/api-reference/types/account.md)                              | Account to show as the payer for this invoice: the account that paid it once it has been paid, otherwise the account currently expected to pay. |
| entity                 | [Entity](/developer/api-reference/types/entity.md)                                |                                                                                                                                                 |
| fromChildAccount       | [Account](/developer/api-reference/types/account.md)                              | Originating sub account when delegated; nil otherwise.                                                                                          |
| fromChildAccountId     | ID                                                                                | Originating sub account when this invoice was generated via hierarchy delegation; nil otherwise.                                                |
| hasPaymentMethod       | Boolean                                                                           |                                                                                                                                                 |
| id                     | ID                                                                                | IDs are null when object is previewed                                                                                                           |
| internalNotes          | String                                                                            | Internal notes that are not included in the invoice PDF, only visible in the App                                                                |
| invoiceItems           | List ([InvoiceItem](/developer/api-reference/types/invoiceitem.md))               |                                                                                                                                                 |
| isLegacy               | Boolean                                                                           |                                                                                                                                                 |
| issuedAt               | ISO8601Date                                                                       |                                                                                                                                                 |
| kind                   | String                                                                            |                                                                                                                                                 |
| mergedInvoices         | List ([Invoice](/developer/api-reference/types/invoice.md))                       | The invoices that were merged into this invoice                                                                                                 |
| mergedToInvoice        | [Invoice](/developer/api-reference/types/invoice.md)                              | The invoice this invoice was merged into                                                                                                        |
| netPaymentDays         | Int                                                                               |                                                                                                                                                 |
| notes                  | String                                                                            |                                                                                                                                                 |
| number                 | String                                                                            | Invoice number. Blank when invoice is being prepared                                                                                            |
| operations             | List (String)                                                                     |                                                                                                                                                 |
| paidAt                 | ISO8601Date                                                                       |                                                                                                                                                 |
| payableId              | ID                                                                                |                                                                                                                                                 |
| payingAccount          | [Account](/developer/api-reference/types/account.md)                              | Account whose payment method pays this invoice (= account.paying\_account; resolved at runtime).                                                |
| paymentApplications    | List ([PaymentApplication](/developer/api-reference/types/paymentapplication.md)) | Payments applied to this invoice                                                                                                                |
| paymentFailedAt        | ISO8601DateTime                                                                   |                                                                                                                                                 |
| paymentFailureReason   | String                                                                            |                                                                                                                                                 |
| payments               | [PaymentConnection](/developer/api-reference/types/paymentconnection.md)          |                                                                                                                                                 |
| poNumber               | String                                                                            |                                                                                                                                                 |
| portalUrl              | String                                                                            | URL to the invoice within the customer portal                                                                                                   |
| quote                  | [Quote](/developer/api-reference/types/quote.md)                                  |                                                                                                                                                 |
| quoteId                | ID                                                                                |                                                                                                                                                 |
| sendInvoiceTo          | String                                                                            | Email address where the invoice was last sent to                                                                                                |
| smallUnitAmountDue     | BigInt                                                                            |                                                                                                                                                 |
| sourceAccount          | [Account](/developer/api-reference/types/account.md)                              | Account this invoice was generated for: from\_child\_account when delegated, otherwise account.                                                 |
| state                  | [InvoiceState](/developer/api-reference/enums.md#invoicestate)                    |                                                                                                                                                 |
| subtotal               | Float                                                                             |                                                                                                                                                 |
| taxAmount              | Float                                                                             |                                                                                                                                                 |
| taxRate                | Float                                                                             |                                                                                                                                                 |
| transactionRecord      | [Transaction](/developer/api-reference/types/transaction.md)                      |                                                                                                                                                 |
| updatedAt              | ISO8601DateTime                                                                   |                                                                                                                                                 |
| url                    | String                                                                            | URL to the invoice within the Bunny app                                                                                                         |
| uuid                   | ID                                                                                |                                                                                                                                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/invoice.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
